Package picard.illumina.parser

# Class MultiTileLocsParser

java.lang.Object
picard.illumina.parser.MultiTileParser<picard.illumina.parser.PositionalData>
picard.illumina.parser.MultiTileLocsParser

All Implemented Interfaces:
  `Iterator<picard.illumina.parser.PositionalData>`

public class MultiTileLocsParser extends MultiTileParser<picard.illumina.parser.PositionalData>
Read locs file that contains multiple tiles in a single file. A tile index is needed to parse this file so that {tile number, cluster number} can be converted into absolute record number in file.

## Constructor Summary

Constructors
Constructor
Description
`MultiTileLocsParser(TileIndex tileIndex, List<Integer> requestedTiles, File locsFile, int lane)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`

### Methods inherited from class picard.illumina.parser.MultiTileParser

`getTileOfNextCluster, hasNext, next, remove, seekToTile, supportedTypes, verifyData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### MultiTileLocsParser

public MultiTileLocsParser(TileIndex tileIndex, List<Integer> requestedTiles, File locsFile, int lane)

## Method Details

### close

public void close()